Bug 1464143 - After following opendaylight for director install guide , opendaylight does not work. [NEEDINFO]
After following opendaylight for director install guide , opendaylight does n...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Josh Hershberg
Itzik Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 09:54 EDT by Jeremy
Modified: 2017-08-24 01:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 01:46:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nyechiel: needinfo? (jmelvin)


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2017-06-22 09:54:35 EDT
Description of problem: Followed this guide but opendaylight does not work: 
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/opendaylight_and_red_hat_openstack_installation_and_configuration_guide/

Version-Release number of selected component (if applicable):
OSP10

How reproducible:
100%

Steps to Reproduce:
1.follow install guide
2. ensure overcloud deploy completes
3. notice opendaylight isn't working

Actual results:
doesn't work

Expected results:
works

Additional info:


opendaylight-user@root>feature:list |grep odl-netvirt-openstack
odl-netvirt-openstack-sfc-translator             | 1.3.4-Boron-SR4  | x         | odl-ovsdb-sfc-1.3.4-Boron-SR4               | OpenStack SFC to OpenDaylight SFC API data transla
odl-netvirt-openstack-sfc-translator-rest        | 1.3.4-Boron-SR4  | x         | odl-ovsdb-sfc-1.3.4-Boron-SR4               | OpenStack SFC to OpenDaylight SFC API data transla
odl-netvirt-openstack                            | 0.3.4-Boron-SR4  | x         | odl-netvirt-0.3.4-Boron-SR4                 | OpenDaylight :: NetVirt :: OpenStack              


opendaylight-user@root>web:list |grep neutron
268 | Active      | Deploying   | 80    | /controller/nb/v2/neutron | org.opendaylight.neutron.northbound-api (0.7.4.Boron-SR4)
opendaylight-user@root>


opendaylight-user@root>vxlan:show
opendaylight-user@root>


[heat-admin@overcloud-controller-0 ~]$ curl -u "admin:admin" http://localhost:8181/restconf/modules
no reply



[heat-admin@overcloud-controller-0 ~]$ curl -u "admin:admin" http://localhost:8181/restconf/operational/network-topology:network-topology/topology/netvirt:1
no reply

[heat-admin@overcloud-controller-0 ~]$ netstat -an|grep 8181
tcp6       0      0 :::8181                 :::*                    LISTEN     
tcp6       1      0 ::1:8181                ::1:50566               CLOSE_WAIT 
tcp6       1      0 ::1:8181                ::1:49776               CLOSE_WAIT 
tcp6       0      0 ::1:50566               ::1:8181                FIN_WAIT2  
tcp6       0      0 ::1:49776               ::1:8181                FIN_WAIT2  
unix  3      [ ]         STREAM     CONNECTED     281811   /run/systemd/journal/stdout





START LEVEL 100 , List Threshold: -1
 ID | State       | Lvl | Version                            | Name                                                                     
----------------------------------------------------------------------------------------------------------------------------------------
 14 | Resolved    |  20 | 1.0.0                              | Apache Aries Blueprint Core Compatiblity Fragment Bundle, Hosts: 15      
134 | Resolved    |  80 | 0.5.2.Boron-SR2-redhat-7           | org.opendaylight.controller.config-persister-file-xml-adapter, Hosts: 135
253 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | loader.implementation                                                    
254 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.core                                                                
255 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.login                                                        
256 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.authentication                                               
257 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.navigation                                                   
258 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.topbar                                                       
259 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.general                                                      
260 | Failure     |  90 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.layout                                                       
261 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.topology                                                            
262 | Failure     |  80 | 1.3.2.Boron-SR2-redhat-7           | ovsdb-ui-bundle                                                          
359 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | vpnmanager-impl                                                          
361 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | fibmanager-impl                                                          
363 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | neutronvpn-impl                                                          
365 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | dhcpservice-impl                                                         
366 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | cloud-servicechain-impl                                                  
367 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | elanmanager-impl                                                         
368 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | natservice-impl                                                          
369 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | aclservice-impl                                                          
370 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | ipv6service-impl                                                         
371 | GracePeriod |  80 | 0.3.2.Boron-SR2-redhat-7           | statemanager-impl                                                        
374 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.node                                                                
376 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.yangui                                                              
377 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.yangutils                                                    
378 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.common.sigmatopology                                                
379 | Failure     |  80 | 0.4.2.Boron-SR2-redhat-7           | dlux.yangvisualizer
Comment 1 Red Hat Bugzilla Rules Engine 2017-06-22 09:54:42 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 4 Nir Yechiel 2017-06-23 03:10:28 EDT
It looks like the customer is using Boron SR4, which we don't ship. They also have the following installed:  odl-netvirt-openstack-sfc-translator
and odl-netvirt-openstack-sfc-translator-rest - which are not packaged/installed by Red Hat.

Did they download the upstream version?
Comment 5 Jeremy 2017-06-23 10:09:48 EDT
Hello,
Thanks for taking a look. I found this in the sosreport. Seems the customer is using upstream packages. I have told them to re-install only using redhat repos. Hopefully this fixes the issue.

###etc/yum.repos.d/opendaylight-5-testing.repo 
[opendaylight-5-testing]
name=OpenDaylight SDN Controller
baseurl=http://cbs.centos.org/repos/nfv7-opendaylight-5-testing/$basearch/os/
enabled=1
gpgcheck=0

Thanks!
Comment 8 Jeremy 2017-06-30 14:44:27 EDT
restart of opendaylight seems to have fixed this.

Below the status of opendaylight service:

[heat-admin@overcloud-controller-0 ~]$ sudo systemctl status opendaylight
● opendaylight.service - OpenDaylight SDN Controller
   Loaded: loaded (/usr/lib/systemd/system/opendaylight.service; enabled; vendor preset: disabled)
   Active: active (running) since Tue 2017-06-27 14:38:29 UTC; 19s ago
     Docs: https://wiki.opendaylight.org/view/Main_Page
           http://www.opendaylight.org/
  Process: 409926 ExecStop=/opt/opendaylight/bin/stop (code=exited, status=0/SUCCESS)
  Process: 410142 ExecStart=/opt/opendaylight/bin/start (code=exited, status=0/SUCCESS)
 Main PID: 410157 (java)
   CGroup: /system.slice/opendaylight.service
           └─410157 /usr/bin/java -Djava.security.properties=/opt/opendaylight/etc/odl.java.security -server -Xms128M -Xmx2048m -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -XX:+HeapDumpOnOutO...




Now vxlan tunnels are present . 
  Bridge br-int
        Controller "tcp:172.16.21.108:6653"
            is_connected: true
        fail_mode: secure
        Port br-int
            Interface br-int
                type: internal
        Port "tuna8545f693ea"
            Interface "tuna8545f693ea"
                type: vxlan
                options: {key=flow, local_ip="172.16.21.139", remote_ip="172.16.21.135"}
Comment 15 Josh Hershberg 2017-07-25 02:41:47 EDT
I was not able to see anything interesting and I don't understand what the exact issue is. Can I have a recap of what the user is doing and what the problem is?
Comment 17 lpeer 2017-08-24 01:46:41 EDT
Jeremy - seems like this bug is no longer relevant. If there is a customer or POC request behind this that is still relevant please re-open the bug.

Thanks, Livnat

Note You need to log in before you can comment on or make changes to this bug.